Development

validating if Intellect 1.4.9 can be used…

10/25

reading up on application security
http://resources.infosecinstitute.com/introduction-to-application-risk-rating-assessment/

10/27

working on creating the dal layer for the application.
Model:  https://developers.google.com/appengine/docs/python/datastore/datamodeling
used python database API
 

from google.appengine.ext import webapp
from google.appengine.ext.webapp.util import run_wsgi_app
from google.appengine.ext import db

class Pet(db.Model):
name = db.StringProperty(required=True)
type = db.StringProperty(required=True, choices=set(["cat", "dog", "bird"]))
birthdate = db.DateProperty()
weight_in_pounds = db.IntegerProperty()
spayed_or_neutered = db.BooleanProperty()

10/31 – 11/3

Created various data model classes.

use object ndb


class Category(ndb.Model):

id = ndb.IndexProperty()
categoryname = ndb.StringProperty()
active = ndb.BooleanProperty(required=True)
dateactivated = ndb.DateTimeProperty

Exploring Google App Engine EndPoints and how they can be used for interaction with a mobile app

Working with PyDev

1. Download PyDev – Rules Based Engine

2. add the library as external library

3.  Add the following line of code
  from pyke import knowledge_engine, krb_traceback, goal

4. After multiple failures, trying to create the eclipse python project

5. This time included the Pyke library in references as external library and imported code for “Family Example”. This seems to be working.

PyDev has issue working with Google AppEngine. Moving to testing intellect